/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2005-2006 Richard Hughes <richard@hughsie.com>
 * Copyright (C) 2004-2005 William Jon McCann <mccann@jhu.edu>
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GPM_SRV_DPMS_H
#define __GPM_SRV_DPMS_H

G_BEGIN_DECLS

#define GPM_TYPE_SRV_DPMS		(gpm_srv_dpms_get_type ())
#define GPM_SRV_DPMS(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), GPM_TYPE_SRV_DPMS, GpmSrvDpms))
#define GPM_SRV_DPMS_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST((k), GPM_TYPE_SRV_DPMS, GpmSrvDpmsClass))
#define GPM_IS_SRV_DPMS(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), GPM_TYPE_SRV_DPMS))
#define GPM_IS_SRV_DPMS_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), GPM_TYPE_SRV_DPMS))
#define GPM_SRV_DPMS_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), GPM_TYPE_SRV_DPMS, GpmSrvDpmsClass))

typedef struct GpmSrvDpmsPrivate GpmSrvDpmsPrivate;

typedef struct
{
	GObject	 	parent;
	GpmSrvDpmsPrivate *priv;
} GpmSrvDpms;

typedef struct
{
	GObjectClass	parent_class;
	void		(* mode_changed)	(GpmSrvDpms	*srv_dpms,
						 const char	*mode);
} GpmSrvDpmsClass;

GType		 gpm_srv_dpms_get_type		(void);
GpmSrvDpms	*gpm_srv_dpms_new		(void);

void		 gpm_srv_dpms_sync_policy	(GpmSrvDpms	*srv_dpms);
gboolean	 gpm_dpms_get_mode		(GpmSrvDpms	*srv_dpms,
						 const gchar	**mode,
						 GError		**error);
gboolean	 gpm_dpms_set_mode		(GpmSrvDpms	*srv_dpms,
						 const gchar	*mode,
						 GError		**error);

G_END_DECLS

#endif /* __GPM_SRV_DPMS_H */
